=== debian/changelog ===
ceph (0.13-1) unstable; urgency=low

  * osd: stay active during backlog generation
  * osdmap: override mappings (pg_temp)
  * kclient: some improvements in kmalloc, memory preallocation
  * [ku]lcient: fix sync read vs eof, lseek(..., SEEK_END)
  * mds: misc bugfixes for multiclient file access

 -- sage <sage@newdream.net>  Mon, 24 Aug 2009 10:43:00 -0800

ceph (0.12-1) unstable; urgency=low

  * kclient: mapping_set_error in writepage, layout ioctl, writeback mempools, cap writeback, fsync
  * mds: various clustering fixes
  * uclient: misc fixes
  * msgr: fixed bad fd close (causing spurious EBADF errors)

 -- sage <sage@newdream.net>  Wed, 5 Aug 2009 13:58:00 -0800

ceph (0.11-1) unstable; urgency=low

  * kclient fixes, clean (lkml review)
  * improved encoding of on-wire types
  * mount.ceph now updates /etc/mtab
  * uclient: fix rename() refcount bug

 -- sage <sage@newdream.net>  Tue, 12 Jul 2009 12:36:00 -0800

ceph (0.10-1) unstable; urgency=low

  * uclient fixes
  * libceph
  * mds: trivialmap encoding (efficient dir updates)
  * mds: reconnect fixes
  * osd: recovery, corruption fixes
  * kclient: unaligned access fixes

 -- sage <sage@newdream.net>  Tue, 15 Jul 2009 13:26:00 -0800

ceph (0.9-1) unstable; urgency=low

  * mds exherts memory pressure on clients
  * initial version of librados
  * object classes
  * a few critical crush bugfixes
  * osd recovery fixes
  * objects are strings
  * improved metadata to eventually aid in disaster recovery
  * kclient: fixed snap vs truncate bug
  * kclient: readdir fixes

 -- sage <sage@newdream.net>  Thu, 18 Jun 2009 13:18:00 -0800

ceph (0.8-1) unstable; urgency=low

  * mount error reporting
  * fix mds file size/mtime recovery
  * crush fixes
  * mds cap fixes
  * support Linux 2.6.30

 -- sage <sage@newdream.net>  Tue, 19 May 2009 13:57:22 -0800

ceph (0.7.3-1) unstable; urgency=low

  * new caps strategy
  * simplier mds<->client protocol
  * lots of mds cleanups (locking, caps, path_traverse)
  * kclient: dcache readdir
  * kclient: async xattrs
  * fixed lots of memory leaks
  * metadata format version on disk
  * adjustable object replication

 -- sage <sage@newdream.net>  Fri, 1 May 2009 13:57:22 -0800

ceph (0.7.2-1) unstable; urgency=low

  * osd ack+sync handling in kclient
  * rdcap renewal
  * better mon logging
  * mds clustering fixes
  * better tunables on kclient

 -- sage <sage@newdream.net>  Tue, 2 Apr 2009 13:57:22 -0800

ceph (0.7.1-1) unstable; urgency=low

  * O_DIRECT
  * single configuration file
  * lease renewal

 -- sage <sage@newdream.net>  Mon, 16 Mar 2009 13:57:22 -0800

ceph (0.7-1) unstable; urgency=low

  * smart osd sync
  * osd bug fixes	
  * fast truncate
  * improved start/stop scripts
  * new cluster configuration files, framework
  * /proc/fs/ceph -> /sys/fs/ceph on kclient

 -- sage <sage@newdream.net>  Thu, 5 Mar 2009 13:57:22 -0800

ceph (0.6-1) unstable; urgency=low

  * OSD scrub, fixes
  * async metadata ops

 -- sage <sage@newdream.net>  Thu, 1 Jan 2009 13:57:22 -0800

ceph (0.5-1) unstable; urgency=low

  * OSD bug fixes
  * btrfs ioctl interface
  * efficient snap recovery
  * throttled osd recovery
  * forced unmount

 -- sage <sage@newdream.net>  Thu, 13 Nov 2008 13:57:22 -0800

ceph (0.4-1) unstable; urgency=low

  * Snapshots.

 -- sage <sage@newdream.net>  Thu, 9 Oct 2008 13:57:22 -0800

ceph (0.3-1) unstable; urgency=low

  * Initial release (Closes: #506040)

 -- sage <sage@newdream.net>  Mon, 28 Jan 2008 15:09:44 -0800
